chob-class {quantmod} | R Documentation

## A Chart Object Class

### Description

Internal Objects for Tracking and Plotting Chart Changes

### Objects from the Class

Objects are created internally through the charting functions `chartSeries`, `barChart`, `lineChart`, and `candleChart`.

### Slots

`device`:

  Object of class `"ANY"` ~~

`call`:

  Object of class `"call"` ~~

`xdata`:

  Object of class `"ANY"` ~~

`xsubset`:

  Object of class `"ANY"` ~~

`name`:

  Object of class `"character"` ~~

`type`:

  Object of class `"character"` ~~

`passed.args`:

  Object of class `"ANY"` ~~

`windows`:

  Object of class `"numeric"` ~~

`xrange`:

  Object of class `"numeric"` ~~

`yrange`:

  Object of class `"numeric"` ~~

`log.scale`:

  Object of class `"logical"` ~~

`length`:

  Object of class `"numeric"` ~~

`color.vol`:

  Object of class `"logical"` ~~

`multi.col`:

  Object of class `"logical"` ~~

`show.vol`:

  Object of class `"logical"` ~~

`show.grid`:

  Object of class `"logical"` ~~

`line.type`:

  Object of class `"character"` ~~

`bar.type`:

  Object of class `"character"` ~~

`xlab`:

  Object of class `"character"` ~~

`ylab`:

  Object of class `"character"` ~~

`spacing`:

  Object of class `"numeric"` ~~

`width`:

  Object of class `"numeric"` ~~

`bp`:

  Object of class `"numeric"` ~~

`x.labels`:

  Object of class `"character"` ~~

`colors`:

  Object of class `"ANY"` ~~

`layout`:

  Object of class `"ANY"` ~~

`time.scale`:

  Object of class `"ANY"` ~~

`major.ticks`:

  Object of class `"ANY"` ~~

`minor.ticks`:

  Object of class `"logical"` ~~

### Methods

No methods defined with class "chob" in the signature.

### Author(s)

Jeffrey A. Ryan

### See Also

`chartSeries`, or `chobTA` for links to other classes

### Examples

    showClass("chob")

[Package quantmod version 0.4-14 Index]